Skip to main content
POST
/
tokenization
/
multichain
/
deterministic_address
TypeScript
const response: Promise<FireblocksResponse<DeployableAddressResponse>> = fireblocks.tokenization.getDeployableAddress(tokenizationApiGetDeployableAddressRequest);
{
  "address": "0x1234567890abcdef1234567890abcdef12345678"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Body

application/json

Request body for calculating deterministic address

chainDescriptor
string
required

The base asset identifier of the blockchain (legacyId) to calculate deterministic address

Example:

"ETH"

templateId
string<uuid>
required

The template identifier

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

initParams
object[]
required

The deploy function parameters and values of the contract template

Example:
[
  {
    "internalType": "string",
    "name": "name",
    "type": "string",
    "value": "name"
  },
  {
    "internalType": "string",
    "name": "symbol",
    "type": "string",
    "value": "symbol"
  },
  {
    "components": [
      {
        "internalType": "bool",
        "name": "_isMintable",
        "type": "bool"
      }
    ],
    "internalType": "struct MyStruct",
    "value": [
      {
        "internalType": "bool",
        "name": "_isMintable",
        "type": "bool",
        "value": false
      }
    ]
  }
]
salt
string
required

The salt to calculate the deterministic address. Must be a number between 0 and 2^256 -1, for it to fit in the bytes32 parameter

Example:

"123456789"

Response

Deterministic address for contract deployment

Response DTO containing a deployable address

address
string
required

The deployable address